@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;600;700&display=swap");

:root {
  --primary-color: #cba7b8;
  --primary-color-dark: #72718d;
  --secondary-color: #8d9ed0;
  --text-dark: #2a2635;
  --text-light: #6b7280;
  --extra-light: #fff4f8;
  --max-width: 1200px;
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

a {
  text-decoration: none;
}

body {
  font-family: "Poppins", sans-serif;
}

nav {
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;
  background-color: #ffffff;
  z-index: 99;
}

.nav__content {
  max-width: var(--max-width);
  margin: auto;
  padding: 1.5rem 1rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

nav .logo a {
  font-size: 1.5rem;
  font-weight: 600;
  color: var(--primary-color);
  transition: 0.3s;
}
nav .logo a:hover {
  color: var(--primary-color-dark);
}

nav .checkbox {
  display: none;
}

nav input {
  display: none;
}
nav .checkbox i {
  font-size: 2rem;
  color: var(--primary-color);
  cursor: pointer;
}

ul {
  display: flex;
  align-items: center;
  gap: 1rem;
  list-style: none;
  transition: left 0.3s;
}

ul li a {
  padding: 0.5rem 1rem;
  border: 2px solid transparent;
  text-decoration: none;
  font-weight: 600;
  color: var(--text-dark);
  transition: 0.3s;
}

ul li a:hover {
  
  color: var(--primary-color);
}

.section {
  background-color: var(--extra-light);
}

.section__container {
  min-height: 100vh;
  max-width: var(--max-width);
  margin: auto;
  padding: 1rem;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 4rem;
}

.content {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.subtitle {
  letter-spacing: 2px;
  color: var(--text-light);
  font-weight: 600;
  margin-bottom: 0.5rem;
}

.title {
  font-size: 2.5rem;
  font-weight: 400;
  line-height: 3rem;
  color: var(--text-dark);
  margin-bottom: 1rem;
}

.title span {
  font-weight: 600;
}

.description {
  line-height: 1.5rem;
  color: var(--text-light);
  margin-bottom: 2rem;
}

.action__btns {
  display: flex;
  gap: 1rem;
}

.action__btns button {
  font-size: 1rem;
  font-weight: 600;
  letter-spacing: 2px;
  padding: 1rem 2rem;
  outline: none;
  border-radius: 10px;
  transition: 0.3s;
  cursor: pointer;
}

.action__btns a{
  color: #ffffff;
}

.portfolio {
  background-color: var(--primary-color);
  border: 2px solid var(--primary-color);
  color: #ffffff;
}

.portfolio:hover {
  background-color: var(--primary-color-dark);
  border: 2px solid var(--primary-color-dark);
}

.linkedin {
  background-color: var(--primary-color);
  border: 2px solid var(--primary-color);
  color: #ffffff;
}

.linkedin:hover {
  background-color: var(--primary-color-dark);
  border: 2px solid var(--primary-color-dark);
}

.github {
  background-color: var(--secondary-color);
  border: 2px solid var(--secondary-color);
  color: #ffffff;
}

.github:hover {
  background-color: var(--primary-color-dark);
  border: 2px solid var(--primary-color-dark);
}

.contact {
  background-color: var(--primary-color);
  border: 2px solid var(--primary-color);
  color: #ffffff;
}

.contact:hover {
  background-color: var(--primary-color-dark);
  border: 2px solid var(--primary-color-dark);
}

.go_back {
  background-color: var(--primary-color);
  border: 2px solid var(--primary-color);
  color: #ffffff;
}

.go_back:hover {
  background-color: var(--primary-color-dark);
  border: 2px solid var(--primary-color-dark);
}

.submit{
  position: relative;
  top: 100px;
  background-color: var(--secondary-color);
  color: #ffffff;
  border: 2px solid var(--secondary-color-color);
  font-size: 1rem;
  font-weight: 600;
  letter-spacing: 2px;
  padding: 1rem 2rem;
  outline: none;
  border-radius: 10px;
  transition: 0.3s;
  cursor: pointer;
}
.submit:hover{
  background-color: var(--primary-color-dark);
  border: none;
}

.image {
  display: grid;
  place-items: center;
}

.image img {
  width: min(25rem, 65%);
  border-radius: 100%;
}

.form{
  display: grid;
  place-items: center;
  padding: 0 30px;
  width: 100%;
  overflow: none;
}

.submit__form{
  
  padding: 70px;
  border-radius: 10px;
}

.input__box{
  height: 40px;
  width: 70%;
  margin: 30px 0;
  position: relative;
}

.input{
  width: 100%;
  height: 100%;
  background: transparent;
  border: 1px solid var(--text-dark);
  border-radius: 10px;
  outline: none;
  padding-left: 10px;
  color: var(--text-dark);
  font-size: 16px;
}

.input__box label{
  position: absolute;
  top: 50%;
  left: 10px;
  padding-left: 10px;
  transform: translateY(-50%);
  font-size: 15px;
  font-weight: 500;
  color: var(--text-dark);
}

.input__box .input:focus ~ label, 
.input__box .input:valid ~ label{
  top: -1px;
  left: 10px;
  background: var(--extra-light); 
  font-weight: 500;
  font-size: 12px;
  padding: 5px;
  border-radius: 7px;
}

textarea.input{
  resize: none;
  min-height: 150px;
  overflow: auto;
}



@media (width < 750px) {
  nav .checkbox {
    display: block;
  }

  ul {
    position: absolute;
    width: 100%;
    height: calc(100vh - 85px);
    left: -100%;
    top: 85px;
    background-color: var(--extra-light);
    flex-direction: column;
    justify-content: center;
    gap: 3rem;
  }

  nav #check:checked ~ ul {
    left: 0;
  }

  ul li a {
    font-size: 1.25rem;
  }

  .section__container {
    padding: 10rem 1rem 5rem 1rem;
    text-align: center;
    grid-template-columns: repeat(1, 1fr);
  }

  .image {
    grid-area: 1/1/2/2;
  }

  .action__btns {
    margin: auto;
  }
}